| LibDriver W25QXX 1.0.0 W25QXX full function driver

Functions
w25qxx example driver function
w25qxx driver function

w25qxx example driver modules More...

## Functions
uint8_t | w25qxx_advance_init (w25qxx_type_t type, w25qxx_interface_t interface, w25qxx_bool_t dual_quad_spi_enable)
| advance example init More...
uint8_t | w25qxx_advance_deinit (void)
| advance example deinit More...
uint8_t | w25qxx_advance_power_down (void)
| advance example power down More...
uint8_t | w25qxx_advance_wake_up (void)
| advance example wake up More...
uint8_t | w25qxx_advance_chip_erase (void)
| advance example chip erase More...
uint8_t | w25qxx_advance_get_id (uint8_t *manufacturer, uint8_t *device_id)
| advance example get the manufacturer && device id information More...
uint8_t | w25qxx_advance_write (uint32_t addr, uint8_t *data, uint32_t len)
| advance example write More...
uint8_t | w25qxx_advance_read (uint32_t addr, uint8_t *data, uint32_t len)
| advance example read More...
uint8_t | w25qxx_advance_page_program (uint32_t addr, uint8_t *data, uint16_t len)
| advance example page program More...
uint8_t | w25qxx_advance_sector_erase_4k (uint32_t addr)
| advance example erase the 4k sector More...
uint8_t | w25qxx_advance_block_erase_32k (uint32_t addr)
| advance example erase the 32k block More...
uint8_t | w25qxx_advance_block_erase_64k (uint32_t addr)
| advance example erase the 64k block More...
uint8_t | w25qxx_advance_fast_read (uint32_t addr, uint8_t *data, uint32_t len)
| advance example read in the fast mode More...
uint8_t | w25qxx_advance_get_status1 (uint8_t *status)
| advance example get the status 1 More...
uint8_t | w25qxx_advance_get_status2 (uint8_t *status)
| advance example get the status 2 More...
uint8_t | w25qxx_advance_get_status3 (uint8_t *status)
| advance example get the status 3 More...
uint8_t | w25qxx_advance_set_status1 (uint8_t status)
| advance example set the status 1 More...
uint8_t | w25qxx_advance_set_status2 (uint8_t status)
| advance example set the status 2 More...
uint8_t | w25qxx_advance_set_status3 (uint8_t status)
| advance example set the status 3 More...
uint8_t | w25qxx_advance_get_get_jedec_id (uint8_t *manufacturer, uint8_t device_id[2])
| advance example get the jedec id information More...
uint8_t | w25qxx_advance_global_block_lock (void)
| advance example global block lock More...
uint8_t | w25qxx_advance_global_block_unlock (void)
| advance example global block unlock More...
uint8_t | w25qxx_advance_individual_block_lock (uint32_t addr)
| advance example lock the individual block More...
uint8_t | w25qxx_advance_individual_block_unlock (uint32_t addr)
| advance example unlock the individual block More...
uint8_t | w25qxx_advance_read_block_lock (uint32_t addr, uint8_t *value)
| advance example read the block lock More...
uint8_t | w25qxx_advance_reset (void)
| advance example reset More...
uint8_t | w25qxx_advance_only_spi_read (uint32_t addr, uint8_t *data, uint32_t len)
| advance example read only in the spi interface More...
uint8_t | w25qxx_advance_only_spi_fast_read_dual_output (uint32_t addr, uint8_t *data, uint32_t len)
| advance example fast read only in the spi dual output interface More...
uint8_t | w25qxx_advance_only_spi_fast_read_quad_output (uint32_t addr, uint8_t *data, uint32_t len)
| advance example fast read only in the spi quad output interface More...
uint8_t | w25qxx_advance_only_spi_fast_read_dual_io (uint32_t addr, uint8_t *data, uint32_t len)
| advance example fast read only in the spi dual io interface More...
uint8_t | w25qxx_advance_only_spi_fast_read_quad_io (uint32_t addr, uint8_t *data, uint32_t len)
| advance example fast read only in the spi quad io interface More...
uint8_t | w25qxx_advance_only_spi_word_read_quad_io (uint32_t addr, uint8_t *data, uint32_t len)
| advance example word read only in the spi quad io interface More...
uint8_t | w25qxx_advance_only_spi_octal_word_read_quad_io (uint32_t addr, uint8_t *data, uint32_t len)
| advance example octal word read only in the spi quad io interface More...
uint8_t | w25qxx_advance_only_spi_page_program_quad_input (uint32_t addr, uint8_t *data, uint16_t len)
| advance example quad page program only in the spi quad input interface More...
uint8_t | w25qxx_advance_only_spi_get_manufacturer_device_id_dual_io (uint8_t *manufacturer, uint8_t *device_id)
| advance example get the manufacturer && device id information only in the spi dual io interface More...
uint8_t | w25qxx_advance_only_spi_get_manufacturer_device_id_quad_io (uint8_t *manufacturer, uint8_t *device_id)
| advance example get the manufacturer && device id information only in the spi quad io interface More...
uint8_t | w25qxx_advance_only_spi_get_unique_id (uint8_t id[8])
| advance example get the unique id only in the spi interface More...
uint8_t | w25qxx_advance_only_spi_get_sfdp (uint8_t sfdp[256])
| advance example get the sfdp only in the spi interface More...
uint8_t | w25qxx_advance_only_spi_write_security_register (w25qxx_security_register_t num, uint8_t data[256])
| advance example write the security register only in the spi interface More...
uint8_t | w25qxx_advance_only_spi_read_security_register (w25qxx_security_register_t num, uint8_t data[256])
| advance example read the security register only in the spi interface More...
uint8_t | w25qxx_advance_only_spi_set_burst_with_wrap (w25qxx_burst_wrap_t wrap)
| advance example set the burst with wrap only in the spi interface More...
uint8_t | w25qxx_advance_only_qspi_set_read_parameters (w25qxx_qspi_read_dummy_t dummy, w25qxx_qspi_read_wrap_length_t length)
| advance example set the read parameters only in the qspi interface More...
uint8_t | w25qxx_basic_init (w25qxx_type_t type, w25qxx_interface_t interface, w25qxx_bool_t dual_quad_spi_enable)
| basic example init More...
uint8_t | w25qxx_basic_deinit (void)
| basic example deinit More...
uint8_t | w25qxx_basic_power_down (void)
| basic example power down More...
uint8_t | w25qxx_basic_wake_up (void)
| basic example wake up More...
uint8_t | w25qxx_basic_chip_erase (void)
| basic example chip erase More...
uint8_t | w25qxx_basic_get_id (uint8_t *manufacturer, uint8_t *device_id)
| basic example get the manufacturer && device id information More...
uint8_t | w25qxx_basic_write (uint32_t addr, uint8_t *data, uint32_t len)
| basic example write More...
uint8_t | w25qxx_basic_read (uint32_t addr, uint8_t *data, uint32_t len)
| basic example read More...

## Detailed Description

w25qxx example driver modules

## Function Documentation

## ◆ w25qxx_advance_block_erase_32k()

uint8_t w25qxx_advance_block_erase_32k | ( | uint32_t | addr | ) |

advance example erase the 32k block

Parameters

  [in] | addr | is the erase address

Returns
  status code
  - 0 success
  - 1 block erase 32k failed

Note
  none

Definition at line 309 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_block_erase_64k()

uint8_t w25qxx_advance_block_erase_64k | ( | uint32_t | addr | ) |

advance example erase the 64k block

Parameters

  [in] | addr | is the erase address

Returns
  status code
  - 0 success
  - 1 block erase 64k failed

Note
  none

Definition at line 329 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_chip_erase()

uint8_t w25qxx_advance_chip_erase | ( | void |  | ) |

advance example chip erase

Returns
  status code
  - 0 success
  - 1 chip erase failed

Note
  none

Definition at line 226 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_deinit()

uint8_t w25qxx_advance_deinit | ( | void |  | ) |

advance example deinit

Returns
  status code
  - 0 success
  - 1 deinit failed

Note
  none

Definition at line 125 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_fast_read()

uint8_t w25qxx_advance_fast_read | ( | uint32_t | addr,
|  | uint8_t * | data,
|  | uint32_t | len
| ) |  |

advance example read in the fast mode

Parameters

  [in] | addr | is the read address
  [out] | *data | points to a data buffer
  [in] | len | is the data length

Returns
  status code
  - 0 success
  - 1 fast read failed

Note
  none

Definition at line 351 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_get_get_jedec_id()

uint8_t w25qxx_advance_get_get_jedec_id | ( | uint8_t * | manufacturer,
|  | uint8_t | device_id[2]
| ) |  |

advance example get the jedec id information

Parameters

  [out] | *manufacturer | points to a manufacturer buffer
  [out] | *device_id | points to a device id buffer

Returns
  status code
  - 0 success
  - 1 get jedec id failed

Note
  none

Definition at line 710 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_get_id()

uint8_t w25qxx_advance_get_id | ( | uint8_t * | manufacturer,
|  | uint8_t * | device_id
| ) |  |

advance example get the manufacturer && device id information

Parameters

  [out] | *manufacturer | points to a manufacturer buffer
  [out] | *device_id | points to a device id buffer

Returns
  status code
  - 0 success
  - 1 get manufacturer device id failed

Note
  none

Definition at line 247 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_get_status1()

uint8_t w25qxx_advance_get_status1 | ( | uint8_t * | status | ) |

advance example get the status 1

Parameters

  [out] | *status | points to a status buffer

Returns
  status code
  - 0 success
  - 1 get status 1 failed

Note
  none

Definition at line 547 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_get_status2()

uint8_t w25qxx_advance_get_status2 | ( | uint8_t * | status | ) |

advance example get the status 2

Parameters

  [out] | *status | points to a status buffer

Returns
  status code
  - 0 success
  - 1 get status 2 failed

Note
  none

Definition at line 567 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_get_status3()

uint8_t w25qxx_advance_get_status3 | ( | uint8_t * | status | ) |

advance example get the status 3

Parameters

  [out] | *status | points to a status buffer

Returns
  status code
  - 0 success
  - 1 get status 3 failed

Note
  none

Definition at line 587 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_global_block_lock()

uint8_t w25qxx_advance_global_block_lock | ( | void |  | ) |

advance example global block lock

Returns
  status code
  - 0 success
  - 1 global block lock failed

Note
  none

Definition at line 729 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_global_block_unlock()

uint8_t w25qxx_advance_global_block_unlock | ( | void |  | ) |

advance example global block unlock

Returns
  status code
  - 0 success
  - 1 global block unlock failed

Note
  none

Definition at line 748 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_individual_block_lock()

uint8_t w25qxx_advance_individual_block_lock | ( | uint32_t | addr | ) |

advance example lock the individual block

Parameters

  [in] | addr | is the block address

Returns
  status code
  - 0 success
  - 1 individual block lock failed

Note
  none

Definition at line 768 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_individual_block_unlock()

uint8_t w25qxx_advance_individual_block_unlock | ( | uint32_t | addr | ) |

advance example unlock the individual block

Parameters

  [in] | addr | is the block address

Returns
  status code
  - 0 success
  - 1 individual block unlock failed

Note
  none

Definition at line 788 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_init()

uint8_t w25qxx_advance_init | ( | w25qxx_type_t | type,
|  | w25qxx_interface_t | interface,
|  | w25qxx_bool_t | dual_quad_spi_enable
| ) |  |

advance example init

Parameters

  [in] | type | is the chip type
  [in] | interface | is the chip interface
  [in] | dual_quad_spi_enable | is a bool value

Returns
  status code
  - 0 success
  - 1 init failed

Note
  none

Definition at line 51 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_only_qspi_set_read_parameters()

uint8_t w25qxx_advance_only_qspi_set_read_parameters | ( | w25qxx_qspi_read_dummy_t | dummy,
|  | w25qxx_qspi_read_wrap_length_t | length
| ) |  |

advance example set the read parameters only in the qspi interface

Parameters

  [in] | dummy | is the qspi read dummy
  [in] | length | is the qspi read wrap length

Returns
  status code
  - 0 success
  - 1 set read parameters failed

Note
  none

Definition at line 853 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_only_spi_fast_read_dual_io()

uint8_t w25qxx_advance_only_spi_fast_read_dual_io | ( | uint32_t | addr,
|  | uint8_t * | data,
|  | uint32_t | len
| ) |  |

advance example fast read only in the spi dual io interface

Parameters

  [in] | addr | is the read address
  [out] | *data | points to a data buffer
  [in] | len | is the data length

Returns
  status code
  - 0 success
  - 1 read failed

Note
  none

Definition at line 439 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_only_spi_fast_read_dual_output()

uint8_t w25qxx_advance_only_spi_fast_read_dual_output | ( | uint32_t | addr,
|  | uint8_t * | data,
|  | uint32_t | len
| ) |  |

advance example fast read only in the spi dual output interface

Parameters

  [in] | addr | is the read address
  [out] | *data | points to a data buffer
  [in] | len | is the data length

Returns
  status code
  - 0 success
  - 1 read failed

Note
  none

Definition at line 395 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_only_spi_fast_read_quad_io()

uint8_t w25qxx_advance_only_spi_fast_read_quad_io | ( | uint32_t | addr,
|  | uint8_t * | data,
|  | uint32_t | len
| ) |  |

advance example fast read only in the spi quad io interface

Parameters

  [in] | addr | is the read address
  [out] | *data | points to a data buffer
  [in] | len | is the data length

Returns
  status code
  - 0 success
  - 1 read failed

Note
  none

Definition at line 461 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_only_spi_fast_read_quad_output()

uint8_t w25qxx_advance_only_spi_fast_read_quad_output | ( | uint32_t | addr,
|  | uint8_t * | data,
|  | uint32_t | len
| ) |  |

advance example fast read only in the spi quad output interface

Parameters

  [in] | addr | is the read address
  [out] | *data | points to a data buffer
  [in] | len | is the data length

Returns
  status code
  - 0 success
  - 1 read failed

Note
  none

Definition at line 417 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_only_spi_get_manufacturer_device_id_dual_io()

uint8_t w25qxx_advance_only_spi_get_manufacturer_device_id_dual_io | ( | uint8_t * | manufacturer,
|  | uint8_t * | device_id
| ) |  |

advance example get the manufacturer && device id information only in the spi dual io interface

Parameters

  [out] | *manufacturer | points to a manufacturer buffer
  [out] | *device_id | points to a device id buffer

Returns
  status code
  - 0 success
  - 1 get manufacturer device id dual io failed

Note
  none

Definition at line 668 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_only_spi_get_manufacturer_device_id_quad_io()

uint8_t w25qxx_advance_only_spi_get_manufacturer_device_id_quad_io | ( | uint8_t * | manufacturer,
|  | uint8_t * | device_id
| ) |  |

advance example get the manufacturer && device id information only in the spi quad io interface

Parameters

  [out] | *manufacturer | points to a manufacturer buffer
  [out] | *device_id | points to a device id buffer

Returns
  status code
  - 0 success
  - 1 get manufacturer device id quad io failed

Note
  none

Definition at line 689 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_only_spi_get_sfdp()

uint8_t w25qxx_advance_only_spi_get_sfdp | ( | uint8_t | sfdp[256] | ) |

advance example get the sfdp only in the spi interface

Parameters

  [out] | *sfdp | points to a sfdp buffer

Returns
  status code
  - 0 success
  - 1 get the sfdp failed

Note
  none

Definition at line 893 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_only_spi_get_unique_id()

uint8_t w25qxx_advance_only_spi_get_unique_id | ( | uint8_t | id[8] | ) |

advance example get the unique id only in the spi interface

Parameters

  [out] | *id | points to a id buffer

Returns
  status code
  - 0 success
  - 1 get the unique id failed

Note
  none

Definition at line 873 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_only_spi_octal_word_read_quad_io()

uint8_t w25qxx_advance_only_spi_octal_word_read_quad_io | ( | uint32_t | addr,
|  | uint8_t * | data,
|  | uint32_t | len
| ) |  |

advance example octal word read only in the spi quad io interface

Parameters

  [in] | addr | is the read address
  [out] | *data | points to a data buffer
  [in] | len | is the data length

Returns
  status code
  - 0 success
  - 1 read failed

Note
  none

Definition at line 505 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_only_spi_page_program_quad_input()

uint8_t w25qxx_advance_only_spi_page_program_quad_input | ( | uint32_t | addr,
|  | uint8_t * | data,
|  | uint16_t | len
| ) |  |

advance example quad page program only in the spi quad input interface

Parameters

  [in] | addr | is the programming address
  [in] | *data | points to a data buffer
  [in] | len | is the data length

Returns
  status code
  - 0 success
  - 1 quad page program failed

Note
  len <= 256

Definition at line 527 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_only_spi_read()

uint8_t w25qxx_advance_only_spi_read | ( | uint32_t | addr,
|  | uint8_t * | data,
|  | uint32_t | len
| ) |  |

advance example read only in the spi interface

Parameters

  [in] | addr | is the read address
  [out] | *data | points to a data buffer
  [in] | len | is the data length

Returns
  status code
  - 0 success
  - 1 only spi read failed

Note
  none

Definition at line 373 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_only_spi_read_security_register()

uint8_t w25qxx_advance_only_spi_read_security_register | ( | w25qxx_security_register_t | num,
|  | uint8_t | data[256]
| ) |  |

advance example read the security register only in the spi interface

Parameters

  [in] | num | is the security register number
  [out] | *data | points to a data buffer

Returns
  status code
  - 0 success
  - 1 read security register failed

Note
  none

Definition at line 939 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_only_spi_set_burst_with_wrap()

uint8_t w25qxx_advance_only_spi_set_burst_with_wrap | ( | w25qxx_burst_wrap_t | wrap | ) |

advance example set the burst with wrap only in the spi interface

Parameters

  [in] | wrap | is the burst wrap

Returns
  status code
  - 0 success
  - 1 set burst with wrap failed

Note
  none

Definition at line 959 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_only_spi_word_read_quad_io()

uint8_t w25qxx_advance_only_spi_word_read_quad_io | ( | uint32_t | addr,
|  | uint8_t * | data,
|  | uint32_t | len
| ) |  |

advance example word read only in the spi quad io interface

Parameters

  [in] | addr | is the read address
  [out] | *data | points to a data buffer
  [in] | len | is the data length

Returns
  status code
  - 0 success
  - 1 read failed

Note
  none

Definition at line 483 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_only_spi_write_security_register()

uint8_t w25qxx_advance_only_spi_write_security_register | ( | w25qxx_security_register_t | num,
|  | uint8_t | data[256]
| ) |  |

advance example write the security register only in the spi interface

Parameters

  [in] | num | is the security register number
  [in] | *data | points to a data buffer

Returns
  status code
  - 0 success
  - 1 write security register failed

Note
  none

Definition at line 914 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_page_program()

uint8_t w25qxx_advance_page_program | ( | uint32_t | addr,
|  | uint8_t * | data,
|  | uint16_t | len
| ) |  |

advance example page program

Parameters

  [in] | addr | is the programming address
  [in] | *data | points to a data buffer
  [in] | len | is the data length

Returns
  status code
  - 0 success
  - 1 page program failed

Note
  len <= 256

Definition at line 269 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_power_down()

uint8_t w25qxx_advance_power_down | ( | void |  | ) |

advance example power down

Returns
  status code
  - 0 success
  - 1 power down failed

Note
  none

Definition at line 188 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_read()

uint8_t w25qxx_advance_read | ( | uint32_t | addr,
|  | uint8_t * | data,
|  | uint32_t | len
| ) |  |

advance example read

Parameters

  [in] | addr | is the read address
  [out] | *data | points to a data buffer
  [in] | len | is the data length

Returns
  status code
  - 0 success
  - 1 read failed

Note
  none

Definition at line 169 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_read_block_lock()

uint8_t w25qxx_advance_read_block_lock | ( | uint32_t | addr,
|  | uint8_t * | value
| ) |  |

advance example read the block lock

Parameters

  [in] | addr | is the block address
  [out] | *value | points to a value buffer

Returns
  status code
  - 0 success
  - 1 read block lock failed

Note
  none

Definition at line 809 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_reset()

uint8_t w25qxx_advance_reset | ( | void |  | ) |

advance example reset

Returns
  status code
  - 0 success
  - 1 reset failed

Note
  none

Definition at line 828 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_sector_erase_4k()

uint8_t w25qxx_advance_sector_erase_4k | ( | uint32_t | addr | ) |

advance example erase the 4k sector

Parameters

  [in] | addr | is the erase address

Returns
  status code
  - 0 success
  - 1 sector erase 4k failed

Note
  none

Definition at line 289 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_set_status1()

uint8_t w25qxx_advance_set_status1 | ( | uint8_t | status | ) |

advance example set the status 1

Parameters

  [in] | status | is the set status

Returns
  status code
  - 0 success
  - 1 set status 1 failed

Note
  none

Definition at line 607 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_set_status2()

uint8_t w25qxx_advance_set_status2 | ( | uint8_t | status | ) |

advance example set the status 2

Parameters

  [in] | status | is the set status

Returns
  status code
  - 0 success
  - 1 set status 2 failed

Note
  none

Definition at line 627 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_set_status3()

uint8_t w25qxx_advance_set_status3 | ( | uint8_t | status | ) |

advance example set the status 3

Parameters

  [in] | status | is the set status

Returns
  status code
  - 0 success
  - 1 set status 3 failed

Note
  none

Definition at line 647 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_wake_up()

uint8_t w25qxx_advance_wake_up | ( | void |  | ) |

advance example wake up

Returns
  status code
  - 0 success
  - 1 wake up failed

Note
  none

Definition at line 207 of file driver_w25qxx_advance.c.

## ◆ w25qxx_advance_write()

uint8_t w25qxx_advance_write | ( | uint32_t | addr,
|  | uint8_t * | data,
|  | uint32_t | len
| ) |  |

advance example write

Parameters

  [in] | addr | is the write address
  [in] | *data | points to a data buffer
  [in] | len | is the data length

Returns
  status code
  - 0 success
  - 1 write failed

Note
  none

Definition at line 147 of file driver_w25qxx_advance.c.

## ◆ w25qxx_basic_chip_erase()

uint8_t w25qxx_basic_chip_erase | ( | void |  | ) |

basic example chip erase

Returns
  status code
  - 0 success
  - 1 chip erase failed

Note
  none

Definition at line 182 of file driver_w25qxx_basic.c.

## ◆ w25qxx_basic_deinit()

uint8_t w25qxx_basic_deinit | ( | void |  | ) |

basic example deinit

Returns
  status code
  - 0 success
  - 1 deinit failed

Note
  none

Definition at line 125 of file driver_w25qxx_basic.c.

## ◆ w25qxx_basic_get_id()

uint8_t w25qxx_basic_get_id | ( | uint8_t * | manufacturer,
|  | uint8_t * | device_id
| ) |  |

basic example get the manufacturer && device id information

Parameters

  [out] | *manufacturer | points to a manufacturer buffer
  [out] | *device_id | points to a device id buffer

Returns
  status code
  - 0 success
  - 1 get manufacturer device id failed

Note
  none

Definition at line 203 of file driver_w25qxx_basic.c.

## ◆ w25qxx_basic_init()

uint8_t w25qxx_basic_init | ( | w25qxx_type_t | type,
|  | w25qxx_interface_t | interface,
|  | w25qxx_bool_t | dual_quad_spi_enable
| ) |  |

basic example init

Parameters

  [in] | type | is the chip type
  [in] | interface | is the chip interface
  [in] | dual_quad_spi_enable | is a bool value

Returns
  status code
  - 0 success
  - 1 init failed

Note
  none

Definition at line 51 of file driver_w25qxx_basic.c.

## ◆ w25qxx_basic_power_down()

uint8_t w25qxx_basic_power_down | ( | void |  | ) |

basic example power down

Returns
  status code
  - 0 success
  - 1 power down failed

Note
  none

Definition at line 144 of file driver_w25qxx_basic.c.

## ◆ w25qxx_basic_read()

uint8_t w25qxx_basic_read | ( | uint32_t | addr,
|  | uint8_t * | data,
|  | uint32_t | len
| ) |  |

basic example read

Parameters

  [in] | addr | is the read address
  [out] | *data | points to a data buffer
  [in] | len | is the data length

Returns
  status code
  - 0 success
  - 1 read failed

Note
  none

Definition at line 247 of file driver_w25qxx_basic.c.

## ◆ w25qxx_basic_wake_up()

uint8_t w25qxx_basic_wake_up | ( | void |  | ) |

basic example wake up

Returns
  status code
  - 0 success
  - 1 wake up failed

Note
  none

Definition at line 163 of file driver_w25qxx_basic.c.

## ◆ w25qxx_basic_write()

uint8_t w25qxx_basic_write | ( | uint32_t | addr,
|  | uint8_t * | data,
|  | uint32_t | len
| ) |  |

basic example write

Parameters

  [in] | addr | is the write address
  [in] | *data | points to a data buffer
  [in] | len | is the data length

Returns
  status code
  - 0 success
  - 1 write failed

Note
  none

Definition at line 225 of file driver_w25qxx_basic.c.